Bug 1460983 - RHVH brand is missing on cockpit login screen in RHEL7.3 with IE 11 browser
RHVH brand is missing on cockpit login screen in RHEL7.3 with IE 11 browser
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cockpit (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity low
: rc
: 7.4
Assigned To: Peter
qe-baseos-daemons
: Extras
Depends On:
Blocks: 1457639
  Show dependency treegraph
 
Reported: 2017-06-13 06:09 EDT by Wei Wang
Modified: 2017-09-21 08:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log files (408.37 KB, application/x-gzip)
2017-06-13 06:09 EDT, Wei Wang
no flags Details
picture (41.06 KB, image/png)
2017-06-13 06:10 EDT, Wei Wang
no flags Details

  None (edit)
Description Wei Wang 2017-06-13 06:09:41 EDT
Created attachment 1287205 [details]
log files

Description of problem:
When launching cockpit login screen in RHEL7.3 with IE 11 browser, the RHVH brand is missing.
The issue cannot be detected with Firefox and Chrome browser.

Version-Release number of selected component (if applicable):
RHEL-7.3-20161019.0-Server-x86_64-dvd1.iso
cockpit-bridge-138-6.el7.x86_64
cockpit-ws-138-6.el7.x86_64
cockpit-system-138-6.el7.noarch
cockpit-138-6.el7.x86_64
Browser is IE 11.0.9600.17031


How reproducible:
100%

Steps to Reproduce:
1. Clean install RHEL-7.3-20161019.0-Server-x86_64-dvd1.iso
2. Install cockpit package
2. Launch cockpit login screen with IE 11 browser
3. Check the RHVH brand


Actual results:
RHVH brand is missing.


Expected results:
RHVH brand displays above the username textbox


Additional info:
1. The bug does not occur with Firefox and Chrome browser
Comment 1 Wei Wang 2017-06-13 06:10 EDT
Created attachment 1287206 [details]
picture
Comment 2 Ryan Barry 2017-06-13 08:17:19 EDT
Hey Dominik -

We're relying on the normal branding from PRETTY_NAME, which seems to have broken somewhere on IE11... I expect that this probably isn't RHV specific.
Comment 4 Dominik Perpeet 2017-08-28 06:52:54 EDT
A lot of IE fixes were recently added to Cockpit upstream (including adding IE integration testing). We'll need to check if this issue was fixed also.

Note You need to log in before you can comment on or make changes to this bug.